Update journal
curl --request PUT \
--url https://staging-api.tyms.io/v1/adam/journals/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
'import requests
url = "https://staging-api.tyms.io/v1/adam/journals/{uuid}"
payload = {
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_uuid: '<string>', department_uuid: '<string>', project_uuid: '<string>'})
};
fetch('https://staging-api.tyms.io/v1/adam/journals/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Journal updated successfully",
"data": {
"uuid": "990e8400-e29b-41d4-a716-446655440005",
"narration": "Updated journal narration"
}
}Journals
Update journal
PUT
/
journals
/
{uuid}
Update journal
curl --request PUT \
--url https://staging-api.tyms.io/v1/adam/journals/{uuid} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
'import requests
url = "https://staging-api.tyms.io/v1/adam/journals/{uuid}"
payload = {
"branch_uuid": "<string>",
"department_uuid": "<string>",
"project_uuid": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({branch_uuid: '<string>', department_uuid: '<string>', project_uuid: '<string>'})
};
fetch('https://staging-api.tyms.io/v1/adam/journals/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Journal updated successfully",
"data": {
"uuid": "990e8400-e29b-41d4-a716-446655440005",
"narration": "Updated journal narration"
}
}Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Path Parameters
Body
application/json
Journal labels on update. Line items can set branch, branch_uuid, or branch_name. A line branch name must already exist; if it does not, the journal is not saved.
Branch id from GET /branches. A name is not accepted.
Department id from GET /departments. A name is not accepted, and an unknown id does not create a department.
Project id from GET /projects. A name is not accepted, and an unknown id does not create a project.
Response
200 - application/json
Journal updated